#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lxqt-sudo
Version		:	1.3.0
Release		:	14.4.0.0%{?dist}
Summary		:	Main session for LXQt desktop suite
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/lxqt-sudo/releases


Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------

#-----------------------------------------------------------------------------
%description
'%{name}' is providing tools to handle LXQt sessions.

First of all there's session manager `lxqt-session`. The binary
is launched right at the beginning of LXQt sessions and in turn
responsible for launching and monitoring all other components
constituting the sessions.   

GUI "LXQt Session Settings" (binary `lxqt-config-session`) is used
to configure various settings affecting the session, e. g. which
window manager to use or which applications to start automatically.   

Binary `lxqt-leave` deals with interrupting or terminating sessions.
It comes with several options expressing the action they trigger,
e. g. `--leave`, `--hibernate`, `--shutdown` or `--reboot`

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS CHANGELOG README.md
%{_bindir}/%{name}
%{_bindir}/lxsu*
%{_bindir}/lxdoas*
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_DATADIR=%{_datadir}			\
	-DCMAKE_BUILD_TYPE=Release				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
